Web Vitals

Get Web Vitals Summary

GET
/v0/project/{idOrSlug}/vitals/summary

Authorization

apiKeyAuth
x-api-key<token>

FastStats API key. Pass it in the x-api-key header or as a Bearer token in the Authorization header.

In: header

Path Parameters

idOrSlug*string

Query Parameters

from?string|null
to?string|null
device?string|null
browser?string|null
os?string|null
country?string|null
route?string|null

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v0/project/string/vitals/summary"
[  {    "metric": "string",    "samples": 0,    "good": 0,    "needsImprovement": 0,    "poor": 0,    "goodPct": 0,    "needsImprovementPct": 0,    "poorPct": 0,    "p75": 0,    "p90": 0,    "p99": 0  }]
{  "_tag": "UnauthorizedError",  "message": "string"}
{  "_tag": "ForbiddenError",  "message": "string",  "code": "string"}
{  "_tag": "NotFoundError",  "message": "string"}